#! /bin/sh

for TEST in `find * -type f -name kernel.bin -printf "%h\n" | sort`; do

	[ -f $TEST/skip ] && continue
	
	echo -e "\n"
	echo -e "==============================================================================="
	echo -e "Starting test $TEST"
	echo -e "-------------------------------------------------------------------------------"

	pushd $TEST &> /dev/null && {
		msim
		popd &> /dev/null
	}

	echo -e "\n"
	echo -e "-------------------------------------------------------------------------------"
	echo -e "Test $TEST finished"
	echo -e "==============================================================================="
	echo -e "Press ENTER to continue ..."
	read
done
